The ACPI PSS CPU Pstate table was calculating the frequency incorrectly for
revF CPUs. The 100MHz/200MHz stepping is already handled in the FID setting
and doesn't need to be checked to set the fid_multiplier. The multiplier is
always 100.

Signed-off-by: Marc Jones <marcj303@gmail.com>


Index: src/mainboard/amd/dbm690t/acpi_tables.c
===================================================================
--- src/mainboard/amd/dbm690t/acpi_tables.c	(revision 3845)
+++ src/mainboard/amd/dbm690t/acpi_tables.c	(working copy)
@@ -258,12 +258,11 @@
 		return 0;
 	}
 
-	/*get the multipier of the fid frequency */
+	/* Get the multipier of the fid frequency */
 	/*
-	 * In RevG, 100MHz step is added
+	 * The fid multiplier is always 100 for revF and revG.
 	 */
-	cpuid1 = cpuid(0x80000007);
-	fid_multiplier = ((cpuid1.edx & 0x40) >> 6) * 100;
+	fid_multiplier = 100;
 
 	/*
 	 * Formula1:    CPUFreq = FID * fid_multiplier + 800
